# Uses of Class
org.eclipse.e4.ui.model.fragment.impl.FragmentPackageImpl

Packages that use FragmentPackageImpl
Package
Description
org.eclipse.e4.ui.model.fragment.impl
org.eclipse.e4.ui.model.fragment.util

## Uses of FragmentPackageImpl in org.eclipse.e4.ui.model.fragment.impl

Fields in org.eclipse.e4.ui.model.fragment.impl declared as FragmentPackageImpl
Modifier and Type
Field
Description
`static final FragmentPackageImpl`
FragmentPackageImpl.`eINSTANCE`
The singleton instance of the package.
Methods in org.eclipse.e4.ui.model.fragment.impl that return FragmentPackageImpl
Modifier and Type
Method
Description
`FragmentPackageImpl`
FragmentFactoryImpl.`getFragmentPackage()`
`static FragmentPackageImpl`
FragmentPackageImpl.`init()`
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

## Uses of FragmentPackageImpl in org.eclipse.e4.ui.model.fragment.util

Fields in org.eclipse.e4.ui.model.fragment.util declared as FragmentPackageImpl
Modifier and Type
Field
Description
`protected static FragmentPackageImpl`
FragmentAdapterFactory.`modelPackage`
The cached model package.
`protected static FragmentPackageImpl`
FragmentSwitch.`modelPackage`
The cached model package